Subject: RE: [Sipping] SIP-AAA Requirements,SIP Enpoints Charging and related drafts

From: [email-masked]
Date: Mon, 8 Jul 2002 07:37:08 +0300

Hi Henry,

> The SIPPING WG may want to step back and allocate 10-15 minutes to
> discuss the increasing number of I-Ds related to SIP, AAA and 
> charging.
> All these drafts are pretty much like ships in the night - they ignore
> each other. I believe they can be classified as:

I think that this would be a good discussion.
 
> A. SIP Charging Using the Installed Base
> 
> <draft-schulzrinne-accounting-sip-00.txt> is a quite complete outline
> how to charge for SIP services using the installed RADIUS base.

I think we would prefer to use Diameter running in RADIUS compatability
mode.  RADIUS has too many, well documented short comings.  It is
not a stable base to build more deployments on.  I don't think
that the IETF should recommend such solutions.
 
> B. "Too Little - Too Late" new technology proposals I-D
> 
> I would put in this category proposals to use the OSP or DIAMETER for
> AAA and will skip the long list, some of which I have also co-authored.
> Though arguably valid proposals, I believe they have been obsoleted by
> the advent of AAA based on web services.

Well, 3GPP & 3GPP2 are going forward with Diameter, so I think that
this is still a valid solution.
 
> C. Emerging AAA based on Web Services.
> 
> There have been unfortunately no SIP related drafts showing XML based
> services and secure transport for SIP AAA and this is funny, since it
> may lead to end users having a SIP device to engage in e-commerce using
> web services clients on the device, while the SIP AAA part is still
> running some other arcane protocols! There are plenty of company web
> sites dealing with web services. The standards one to start 
> with is for example http://www.w3.org/2002/ws/  .

I think that for the SIP wg to consider this, it would be useful
to pull together a short Internet Draft on this subject.
 
> D. 3GPP Specific (may be actually closer to A.)
> 
> <draft-henrikson-sip-charging-information-03>

This is really related to B. 

> Proposal:
> 
> My specific proposal is to go ahead with A due to its practical value,
> while evaluating the relative merits of B and C and stopping this work
> until the impact of XML based web services can be addressed. I suppose
> the 3GPP approach is already too far ahead to make any changes.

I think that A. should be stopped since there are serious 
security & reliability issues.  A solution based on B 
(Diameter running in RADIUS compatability mode) could be
done relatively quickly and would support existing deployments.

B should go forward, so that 3GPP/PP2 do not invent their
own, incompatable solutions.  C would be a good thing
to start to investigate.

I'm happy to try to gather requirements of these into the
SIP-AAA requirements draft that I am writing, however, I don't
have the bandwidth to follow the W3C work, so I'd be happy
to have someone contribute some text.

thanks,
John

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP